org.apache.ignite.ml.tree.randomforest.data.impurity.basic

## Class CountersHistogram

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.ObjectHistogram<BootstrappedVector>
  - - org.apache.ignite.ml.tree.randomforest.data.impurity.basic.BootstrappedVectorsHistogram
    - - org.apache.ignite.ml.tree.randomforest.data.impurity.basic.CountersHistogram

- All Implemented Interfaces:
    Serializable, DistributionComputer, Histogram<BootstrappedVector,ObjectHistogram<BootstrappedVector>>

      public class CountersHistogram
      extends BootstrappedVectorsHistogram

  Represents a histogram of element counts per bucket.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.basic.BootstrappedVectorsHistogram

      `bucketIds, bucketMeta, featureId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountersHistogram(Set<Integer> bucketIds, BucketMeta bucketMeta, int featureId, int sampleId)` Creates an instance of CountersHistogram.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `mapToCounter(BootstrappedVector vec)` Counter mapping.
    `ObjectHistogram<BootstrappedVector>` | `newInstance()` Creates an instance of ObjectHistogram from child class.

    - ### Methods inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.basic.BootstrappedVectorsHistogram

      `mapToBucket`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.ObjectHistogram

      `addElement, buckets, computeDistributionFunction, getValue, isEqualTo, plus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountersHistogram

          public CountersHistogram(Set<Integer> bucketIds,
                                   BucketMeta bucketMeta,
                                   int featureId,
                                   int sampleId)

      Creates an instance of CountersHistogram.
      Parameters:
        `bucketIds` - Bucket ids.
        `bucketMeta` - Bucket meta.
        `featureId` - Feature id.
        `sampleId` - Sample Id.

  - ### Method Detail

    - #### mapToCounter

          public Double mapToCounter(BootstrappedVector vec)

      Counter mapping.
      Specified by:
        `mapToCounter` in class `ObjectHistogram<BootstrappedVector>`
      Parameters:
        `vec` - Object.
      Returns:
        Counter.

    - #### newInstance

          public ObjectHistogram<BootstrappedVector> newInstance()

      Creates an instance of ObjectHistogram from child class.
      Specified by:
        `newInstance` in class `ObjectHistogram<BootstrappedVector>`
      Returns:
        Object histogram.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021